Bug 334840 - No tooltips in panel configuration panel
Summary: No tooltips in panel configuration panel
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Panel (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: accessibility
Depends on: 335131
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-15 21:22 UTC by Louis Moureaux
Modified: 2014-05-22 10:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Moureaux 2014-05-15 21:22:50 UTC
When you click on the button at the right of the default panel, you get what I call the "panel configuration panel".
None of the three buttons to add widgets, add spacer and configure has a tooltip. As they are icon-only, the user doesn't know what they do until he clicks them.

Reproducible: Always
Comment 1 Marco Martin 2014-05-16 09:30:58 UTC
text is enabled when the screen width is enough, but yeah, when gets disabled should get tooltips
Comment 2 David Edmundson 2014-05-19 20:16:54 UTC
Marking as confirmed
Comment 3 Marco Martin 2014-05-22 10:26:53 UTC
Git commit 3b506f42bd222204ee3b3aab177169ca4af91ba8 by Marco Martin.
Committed on 22/05/2014 at 10:25.
Pushed by mart into branch 'master'.

tooltip when text is hidden

M  +4    -0    desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

http://commits.kde.org/plasma-desktop/3b506f42bd222204ee3b3aab177169ca4af91ba8